Bug 187520 - locking issues in audit system
locking issues in audit system
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 11:21 EST by Steve Grubb
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 21:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch #1 (1.95 KB, patch)
2006-05-12 14:49 EDT, Aristeu Rozanski
no flags Details | Diff
backport of patch #3 (1.51 KB, patch)
2006-05-12 14:51 EDT, Aristeu Rozanski
no flags Details | Diff
backport of patch #4 (2.49 KB, patch)
2006-05-12 14:54 EDT, Aristeu Rozanski
no flags Details | Diff

  None (edit)
Description Steve Grubb 2006-03-31 11:21:33 EST
Description of problem:
There have been some locking problems recently identified in the audit
subsystem. Patches have been sent upstream. The patches should be applied to the
RHEL4 kernel, too.
Comment 1 Bob Johnson 2006-04-11 11:53:47 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 4 Linda Wang 2006-05-08 13:12:01 EDT
This is one probably part of the Al's fix for execve patch.
Al, can you confirm that?

thanks.
Comment 5 Linda Wang 2006-05-08 13:13:32 EDT
BTW, Steve, which set of patches are you referring to here?
Comment 6 Aristeu Rozanski 2006-05-12 14:49:43 EDT
Created attachment 128951 [details]
backported patch #1

backport of patch "deal with deadlocks in audit_free()"
(http://www.ussg.iu.edu/hypermail/linux/kernel/0605.0/0065.html)
Comment 7 Aristeu Rozanski 2006-05-12 14:51:55 EDT
Created attachment 128953 [details]
backport of patch #3

backport of patch "move call of audit_free() into do_exit()"
(http://www.ussg.iu.edu/hypermail/linux/kernel/0605.0/0067.html)
Comment 8 Aristeu Rozanski 2006-05-12 14:54:30 EDT
Created attachment 128954 [details]
backport of patch #4

backport of patch "drop gfp_mask in audit_log_exit()"
(http://www.ussg.iu.edu/hypermail/linux/kernel/0605.0/0068.html)
Comment 15 Jay Turner 2006-07-05 14:35:28 EDT
Why yes we did . . . changing ack.
Comment 16 RHEL Product and Program Management 2006-09-07 15:23:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 17 RHEL Product and Program Management 2006-09-07 15:23:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 RHEL Product and Program Management 2006-09-07 15:23:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 Jason Baron 2006-09-14 11:54:13 EDT
committed in stream U5 build 42.10. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 22 Red Hat Bugzilla 2007-05-07 21:04:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.